Publishers

Update a publisher

Update the display name of a publisher.

PATCH/api/publishers/:id

Path parameters

  • Name
    id
    Type
    string
    Required
    required
    Description

    The unique identifier of the publisher.

Body parameters

  • Name
    name
    Type
    string
    Description

    The updated display name. reference_id cannot be changed after creation.

Headers

  • Name
    Authorization
    Type
    string
    Required
    required
    Description

    Bearer [YOUR_API_TOKEN], using an API token generated from your Koah dashboard under Settings › API Tokens.

  • Name
    Content-Type
    Type
    string
    Required
    required
    Description

    Must be application/json.

Response

Returns the updated publisher with the same fields as Create a publisher.

Errors

StatusError
401Unauthorized — missing or invalid API token
403Forbidden — not a publisher team account
404Not found — publisher does not exist
422Unprocessable entity — validation failed
429Rate limit exceeded — max 10 requests per minute
curl -X PATCH https://app.koah.ai/api/publishers/string-unique-identifier \
  -H "Authorization: Bearer [YOUR_API_TOKEN]" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Publisher Name"
  }'

Response

{
  "id": "string-unique-identifier",
  "name": "Updated Publisher Name",
  "reference_id": "pub-001",
  "created_at": "2026-03-01T12:00:00Z"
}
Was this helpful?